Multivariate Pattern Analysis in Python

# mvpa2.kernels.libsvm.SigmoidLSKernel

class `mvpa2.kernels.libsvm.``SigmoidLSKernel`(**kwargs)

  Sigmoid kernel: K(a,b) = tanh(gamma*a*b.T + coef0)

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_ls`() |
  `as_raw_ls`() |
  `as_raw_np`() |
  `compute`(*args, **kwargs) |

  Initialize instance of SigmoidLSKernel

  Parameters:

  gamma

  > Gamma multiplying parameter for SigmoidKernel. [Default: 1]

  coef0

  > Offset inside tanh. [Default: 1]

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_ls`() |
  `as_raw_ls`() |
  `as_raw_np`() |
  `compute`(*args, **kwargs) |